<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Documentation</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <base href="../">
    <link rel="icon" href="images/favicon.ico"/>
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/base.css">
            <link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="css/template.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0/css/all.min.css" integrity="sha256-ybRkN9dBjhcS2qrW1z+hfCxq+1aBdwyQM5wlQoQVt/0=" crossorigin="anonymous" />
                <script src="https://cdn.jsdelivr.net/npm/fuse.js@3.4.6"></script>
        <script src="https://cdn.jsdelivr.net/npm/css-vars-ponyfill@2"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0/js/all.min.js" integrity="sha256-0vuk8LXoyrmCjp1f0O300qo1M75ZQyhH9X3J6d+scmk=" crossorigin="anonymous"></script>
        <script src="js/search.js"></script>
        <script defer src="js/searchIndex.js"></script>
    </head>
<body id="top">
    <header class="phpdocumentor-header phpdocumentor-section">
    <h1 class="phpdocumentor-title"><a href="" class="phpdocumentor-title__link">Documentation</a></h1>
    <input class="phpdocumentor-header__menu-button" type="checkbox" id="menu-button" name="menu-button" />
    <label class="phpdocumentor-header__menu-icon" for="menu-button">
        <i class="fas fa-bars"></i>
    </label>
    <section data-search-form class="phpdocumentor-search">
    <label>
        <span class="visually-hidden">Search for</span>
        <svg class="phpdocumentor-search__icon" width="21" height="20" viewBox="0 0 21 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <circle cx="7.5" cy="7.5" r="6.5" stroke="currentColor" stroke-width="2"/>
            <line x1="12.4892" y1="12.2727" x2="19.1559" y2="18.9393" stroke="currentColor" stroke-width="3"/>
        </svg>
        <input type="search" class="phpdocumentor-field phpdocumentor-search__field" placeholder="Loading .." disabled />
    </label>
</section>

    <nav class="phpdocumentor-topnav">
    <ul class="phpdocumentor-topnav__menu">
        </ul>
</nav>
</header>

    <main class="phpdocumentor">
        <div class="phpdocumentor-section">
            <input class="phpdocumentor-sidebar__menu-button" type="checkbox" id="sidebar-button" name="sidebar-button" />
<label class="phpdocumentor-sidebar__menu-icon" for="sidebar-button">
    Menu
</label>
<aside class="phpdocumentor-column -four phpdocumentor-sidebar">
    
    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Namespaces</h2>
                                                <h4 class="phpdocumentor-sidebar__root-namespace"><a href="namespaces/rw.html"><abbr title="\RW">RW</abbr></a></h4>
                <ul class="phpdocumentor-list">
                                            <li><a href="namespaces/rw-wiwinkapi.html"><abbr title="\RW\WiWinkApi">WiWinkApi</abbr></a></li>
                                    </ul>
                        </section>

        <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Packages</h2>
                    <h3 class="phpdocumentor-sidebar__root-package"><a href="packages/Default.html"><abbr title="\Default">Default</abbr></a></h3>
                                <h3 class="phpdocumentor-sidebar__root-package"><a href="packages/RW.html"><abbr title="\RW">RW</abbr></a></h3>
                        <ul class="phpdocumentor-list">
                                    <li><a href="packages/RW-WiWinkApi.html"><abbr title="\RW\WiWinkApi">WiWinkApi</abbr></a></li>
                            </ul>
                        </section>
    
    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Reports</h2>
                <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/deprecated.html">Deprecated</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/errors.html">Errors</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/markers.html">Markers</a></h3>
    </section>

    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Indices</h2>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="indices/files.html">Files</a></h3>
    </section>
</aside>

            <div class="phpdocumentor-column -eight phpdocumentor-content">
                    <ul class="phpdocumentor-breadcrumbs">
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/rw.html">RW</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/rw-wiwinkapi.html">WiWinkApi</a></li>
    </ul>

    <article class="phpdocumentor-element -class">
        <h2 class="phpdocumentor-content__title">
    WiWinkClient

    
            <div class="phpdocumentor-element__package">
            in package
            <ul class="phpdocumentor-breadcrumbs">
                                    <li class="phpdocumentor-breadcrumb"><a href="packages/RW.html">RW</a></li>
                                    <li class="phpdocumentor-breadcrumb"><a href="packages/RW-WiWinkApi.html">WiWinkApi</a></li>
                            </ul>
        </div>
    
    
    </h2>

        <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/WiWinkClient.php"><a href="files/src-wiwinkclient.html"><abbr title="src/WiWinkClient.php">WiWinkClient.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">22</span>
</aside>

            <p class="phpdocumentor-summary">Base class for WiWink clients.</p>

    <section class="phpdocumentor-description"></section>


    <h5 class="phpdocumentor-tag-list__heading" id="tags">
        Tags
        <a href="#tags" class="headerlink"><i class="fas fa-link"></i></a>
    </h5>
    <dl class="phpdocumentor-tag-list">
                                    <dt class="phpdocumentor-tag-list__entry">
                    <span class="phpdocumentor-tag__name">author</span>
                </dt>
                <dd class="phpdocumentor-tag-list__definition">
                                                                                
                                                 <section class="phpdocumentor-description"><p>Josep Salvà <a href="mailto:jsalva@refineriaweb.com">jsalva@refineriaweb.com</a></p>
</section>

                                    </dd>
                        </dl>






<h3 id="toc">
    Table of Contents
    <a href="#toc" class="headerlink"><i class="fas fa-link"></i></a>
</h3>

<dl class="phpdocumentor-table-of-contents">
            <dt class="phpdocumentor-table-of-contents__entry -constant -private">
    <a href="classes/RW-WiWinkApi-WiWinkClient.html#constant_URL_POINT">URL_POINT</a>
    <span>
        &nbsp;= &#039;https://developers.wiwink.com/api/&#039;                    </span>
</dt>
<dd>Base url where the requests will be made.</dd>

                <dt class="phpdocumentor-table-of-contents__entry -property -protected">
    <a href="classes/RW-WiWinkApi-WiWinkClient.html#property_apiKey">$apiKey</a>
    <span>
                &nbsp;: string            </span>
</dt>
<dd>WiWink api key.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -protected">
    <a href="classes/RW-WiWinkApi-WiWinkClient.html#property_lastResponse">$lastResponse</a>
    <span>
                &nbsp;: <a href="classes/RW-WiWinkApi-Response.html"><abbr title="\RW\WiWinkApi\Response">Response</abbr></a>|null            </span>
</dt>
<dd>Stores the response of the last request made.</dd>

                <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/RW-WiWinkApi-WiWinkClient.html#method___construct">__construct()</a>
    <span>
                        &nbsp;: void    </span>
</dt>
<dd>Create a new WiWink client instance.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/RW-WiWinkApi-WiWinkClient.html#method_getLastResponse">getLastResponse()</a>
    <span>
                        &nbsp;: <a href="classes/RW-WiWinkApi-Response.html"><abbr title="\RW\WiWinkApi\Response">Response</abbr></a>|null    </span>
</dt>
<dd>Get the client&#039;s last response.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/RW-WiWinkApi-WiWinkClient.html#method_setApiKey">setApiKey()</a>
    <span>
                        &nbsp;: static    </span>
</dt>
<dd>Set the client&#039;s api key.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -protected">
    <a href="classes/RW-WiWinkApi-WiWinkClient.html#method_castResult">castResult()</a>
    <span>
                        &nbsp;: object    </span>
</dt>
<dd>Cast the result to the specified class</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -protected">
    <a href="classes/RW-WiWinkApi-WiWinkClient.html#method_executeCall">executeCall()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd>Execute the cURL call</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/RW-WiWinkApi-WiWinkClient.html#method_cast">cast()</a>
    <span>
                        &nbsp;: object    </span>
</dt>
<dd>Class casting</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/RW-WiWinkApi-WiWinkClient.html#method_castCollection">castCollection()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd>Collection casting</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/RW-WiWinkApi-WiWinkClient.html#method_getUrl">getUrl()</a>
    <span>
                        &nbsp;: string    </span>
</dt>
<dd>Get the URL endpoint</dd>

        </dl>



        
    <section class="phpdocumentor-constants">
        <h3 class="phpdocumentor-elements__header" id="constants">
            Constants
            <a href="classes/RW-WiWinkApi-WiWinkClient.html#constants" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article class="phpdocumentor-element -constant -private ">
    <h4 class="phpdocumentor-element__name" id="constant_URL_POINT">
        URL_POINT
        <a href="classes/RW-WiWinkApi-WiWinkClient.html#constant_URL_POINT" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>

    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/WiWinkClient.php"><a href="files/src-wiwinkclient.html"><abbr title="src/WiWinkClient.php">WiWinkClient.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">29</span>
</aside>

        <p class="phpdocumentor-summary">Base url where the requests will be made.</p>

    <code class="phpdocumentor-signature phpdocumentor-code ">
    <span class="phpdocumentor-signature__visibility">private</span>
    <span class="phpdocumentor-signature__type">string</span>
    <span class="phpdocumentor-signature__name">URL_POINT</span>
    = <span class="phpdocumentor-signature__default-value">&#039;https://developers.wiwink.com/api/&#039;</span>
</code>


        <section class="phpdocumentor-description"></section>

    

</article>
            </section>

        
    <section class="phpdocumentor-properties">
        <h3 class="phpdocumentor-elements__header" id="properties">
            Properties
            <a href="classes/RW-WiWinkApi-WiWinkClient.html#properties" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article
        class="
            phpdocumentor-element
            -property
            -protected
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_apiKey">
        $apiKey
        <a href="classes/RW-WiWinkApi-WiWinkClient.html#property_apiKey" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/WiWinkClient.php"><a href="files/src-wiwinkclient.html"><abbr title="src/WiWinkClient.php">WiWinkClient.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">36</span>
</aside>

        <p class="phpdocumentor-summary">WiWink api key.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">protected</span>
        <span class="phpdocumentor-signature__type">string</span>
    <span class="phpdocumentor-signature__name">$apiKey</span>
    </code>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -protected
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_lastResponse">
        $lastResponse
        <a href="classes/RW-WiWinkApi-WiWinkClient.html#property_lastResponse" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/WiWinkClient.php"><a href="files/src-wiwinkclient.html"><abbr title="src/WiWinkClient.php">WiWinkClient.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">43</span>
</aside>

        <p class="phpdocumentor-summary">Stores the response of the last request made.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">protected</span>
        <span class="phpdocumentor-signature__type"><a href="classes/RW-WiWinkApi-Response.html"><abbr title="\RW\WiWinkApi\Response">Response</abbr></a>|null</span>
    <span class="phpdocumentor-signature__name">$lastResponse</span>
    </code>

        <section class="phpdocumentor-description"></section>

    

</article>
            </section>

            <section class="phpdocumentor-methods">
        <h3 class="phpdocumentor-elements__header" id="methods">
            Methods
            <a href="classes/RW-WiWinkApi-WiWinkClient.html#methods" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method___construct">
        __construct()
        <a href="classes/RW-WiWinkApi-WiWinkClient.html#method___construct" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/WiWinkClient.php"><a href="files/src-wiwinkclient.html"><abbr title="src/WiWinkClient.php">WiWinkClient.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">52</span>
</aside>

        <p class="phpdocumentor-summary">Create a new WiWink client instance.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">__construct</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">void</span></code>

        <section class="phpdocumentor-description"></section>

    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">void</span>
            &mdash;
            <section class="phpdocumentor-description"></section>

    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getLastResponse">
        getLastResponse()
        <a href="classes/RW-WiWinkApi-WiWinkClient.html#method_getLastResponse" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/WiWinkClient.php"><a href="files/src-wiwinkclient.html"><abbr title="src/WiWinkClient.php">WiWinkClient.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">76</span>
</aside>

        <p class="phpdocumentor-summary">Get the client&#039;s last response.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">getLastResponse</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type"><a href="classes/RW-WiWinkApi-Response.html"><abbr title="\RW\WiWinkApi\Response">Response</abbr></a>|null</span></code>

        <section class="phpdocumentor-description"></section>

    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type"><a href="classes/RW-WiWinkApi-Response.html"><abbr title="\RW\WiWinkApi\Response">Response</abbr></a>|null</span>
            &mdash;
            <section class="phpdocumentor-description"></section>

    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_setApiKey">
        setApiKey()
        <a href="classes/RW-WiWinkApi-WiWinkClient.html#method_setApiKey" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/WiWinkClient.php"><a href="files/src-wiwinkclient.html"><abbr title="src/WiWinkClient.php">WiWinkClient.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">64</span>
</aside>

        <p class="phpdocumentor-summary">Set the client&#039;s api key.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">setApiKey</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$apiKey</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">static</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$apiKey</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>provided API key.</p>
</section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">static</span>
            &mdash;
            <section class="phpdocumentor-description"></section>

    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -protected
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_castResult">
        castResult()
        <a href="classes/RW-WiWinkApi-WiWinkClient.html#method_castResult" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/WiWinkClient.php"><a href="files/src-wiwinkclient.html"><abbr title="src/WiWinkClient.php">WiWinkClient.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">157</span>
</aside>

        <p class="phpdocumentor-summary">Cast the result to the specified class</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">protected</span>
                <span class="phpdocumentor-signature__name">castResult</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$result</span></span><span class="phpdocumentor-signature__argument"><span>, </span><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$class</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">object</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$result</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>result to cast.</p>
</section>

            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$class</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>target class.</p>
</section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">object</span>
            &mdash;
            <section class="phpdocumentor-description"></section>

    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -protected
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_executeCall">
        executeCall()
        <a href="classes/RW-WiWinkApi-WiWinkClient.html#method_executeCall" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/WiWinkClient.php"><a href="files/src-wiwinkclient.html"><abbr title="src/WiWinkClient.php">WiWinkClient.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">92</span>
</aside>

        <p class="phpdocumentor-summary">Execute the cURL call</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">protected</span>
                <span class="phpdocumentor-signature__name">executeCall</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$endpoint</span></span><span class="phpdocumentor-signature__argument"><span>, </span><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$method</span></span><span class="phpdocumentor-signature__argument"><span>[</span><span>, </span><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$jsonData</span><span> = </span><span class="phpdocumentor-signature__argument__default-value">[]</span><span> ]</span></span><span class="phpdocumentor-signature__argument"><span>[</span><span>, </span><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$queryParams</span><span> = </span><span class="phpdocumentor-signature__argument__default-value">[]</span><span> ]</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$endpoint</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$method</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>request method.</p>
</section>

            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$jsonData</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                 = <span class="phpdocumentor-signature__argument__default-value">[]</span>            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$queryParams</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                 = <span class="phpdocumentor-signature__argument__default-value">[]</span>            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    
    <h5 class="phpdocumentor-tag-list__heading" id="tags">
        Tags
        <a href="#tags" class="headerlink"><i class="fas fa-link"></i></a>
    </h5>
    <dl class="phpdocumentor-tag-list">
                                    <dt class="phpdocumentor-tag-list__entry">
                    <span class="phpdocumentor-tag__name">throws</span>
                </dt>
                <dd class="phpdocumentor-tag-list__definition">
                                                                <span class="phpdocumentor-tag-link"><a href="classes/RW-WiWinkApi-Exceptions-WiWinkException.html"><abbr title="\RW\WiWinkApi\Exceptions\WiWinkException">WiWinkException</abbr></a></span>
                                                            
                                                 <section class="phpdocumentor-description"></section>

                                    </dd>
                            <dt class="phpdocumentor-tag-list__entry">
                    <span class="phpdocumentor-tag__name">throws</span>
                </dt>
                <dd class="phpdocumentor-tag-list__definition">
                                                                <span class="phpdocumentor-tag-link"><a href="classes/RW-WiWinkApi-Exceptions-ResponseException.html"><abbr title="\RW\WiWinkApi\Exceptions\ResponseException">ResponseException</abbr></a></span>
                                                            
                                                 <section class="phpdocumentor-description"></section>

                                    </dd>
                        </dl>

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
            <section class="phpdocumentor-description"></section>

    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_cast">
        cast()
        <a href="classes/RW-WiWinkApi-WiWinkClient.html#method_cast" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/WiWinkClient.php"><a href="files/src-wiwinkclient.html"><abbr title="src/WiWinkClient.php">WiWinkClient.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">192</span>
</aside>

        <p class="phpdocumentor-summary">Class casting</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">cast</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">object&nbsp;</span><span class="phpdocumentor-signature__argument__name">$object</span></span><span class="phpdocumentor-signature__argument"><span>, </span><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$class</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">object</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$object</span>
                : <span class="phpdocumentor-signature__argument__return-type">object</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>object to cast.</p>
</section>

            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$class</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>target class.</p>
</section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">object</span>
            &mdash;
            <section class="phpdocumentor-description"></section>

    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_castCollection">
        castCollection()
        <a href="classes/RW-WiWinkApi-WiWinkClient.html#method_castCollection" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/WiWinkClient.php"><a href="files/src-wiwinkclient.html"><abbr title="src/WiWinkClient.php">WiWinkClient.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">174</span>
</aside>

        <p class="phpdocumentor-summary">Collection casting</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">castCollection</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$collection</span></span><span class="phpdocumentor-signature__argument"><span>, </span><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$class</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$collection</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>collection to cast.</p>
</section>

            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$class</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>target class.</p>
</section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
            <section class="phpdocumentor-description"></section>

    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getUrl">
        getUrl()
        <a href="classes/RW-WiWinkApi-WiWinkClient.html#method_getUrl" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/WiWinkClient.php"><a href="files/src-wiwinkclient.html"><abbr title="src/WiWinkClient.php">WiWinkClient.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">137</span>
</aside>

        <p class="phpdocumentor-summary">Get the URL endpoint</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">getUrl</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$endpoint</span></span><span class="phpdocumentor-signature__argument"><span>, </span><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$params</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">string</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$endpoint</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>target endpoint.</p>
</section>

            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$params</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">string</span>
            &mdash;
            <section class="phpdocumentor-description"></section>

    
</article>
            </section>

    </article>
                <section data-search-results class="phpdocumentor-search-results phpdocumentor-search-results--hidden">
    <section class="phpdocumentor-search-results__dialog">
        <header class="phpdocumentor-search-results__header">
            <h2 class="phpdocumentor-search-results__title">Search results</h2>
            <button class="phpdocumentor-search-results__close"><i class="fas fa-times"></i></button>
        </header>
        <section class="phpdocumentor-search-results__body">
            <ul class="phpdocumentor-search-results__entries"></ul>
        </section>
    </section>
</section>
            </div>
        </div>
        <a href="classes/RW-WiWinkApi-WiWinkClient.html#top" class="phpdocumentor-back-to-top"><i class="fas fa-chevron-circle-up"></i></a>

    </main>

    <script>
        cssVars({});
    </script>
</body>
</html>
